/**
 * Titel:     Quelltext zu Kapitel 14 <br />
 * Buch:      Grundkurs-Java fr Wirtschaftsinformatiker. Vieweg 2007. <br />
 * Autoren:   Klaus-Georg Deck und Herbert Neuendorf
 * Copyright: Copyright (c) 2007 <br />
 * 
 * @author Herbert Neuendorf<br />
 * @version 1.0 <br />
 * 
 */

interface IFEuro {
	double KURS_E = 0.91;    
	double inDollar( double euroBetrag );
}

interface IFDollar {
	double KURS_D = 1.1;     
	double inEuro( double dollarBetrag );
}

public class EurorDollarRechner implements IFEuro, IFDollar {
	public double inDollar( double euroBetrag ) {
		return  euroBetrag * IFEuro.KURS_E; 	
	}
	public double inEuro( double dollarBetrag ) {
		return  dollarBetrag * IFDollar.KURS_D;	
	}	
}






   
 









   


 
 





