/**
 * Titel:     Quelltext zu Kapitel 14 <br />
 * Buch:      Grundkurs-Java fr Wirtschaftsinformatiker. Vieweg 2007. <br />
 * Autoren:   Klaus-Georg Deck und Herbert Neuendorf
 * Copyright: Copyright (c) 2007 <br />
 * 
 * @author Herbert Neuendorf<br />
 * @version 1.0 <br />
 * 
 */

class Konto {	
	public String name;      
	public double saldo;
    public Konto( String n ) { 
		name = n;   
		saldo = 0.0; 
	}
    public void einzahlen( double betrag ) { 
		saldo = saldo + betrag;
	}
	public void abheben( double betrag) {
		saldo = saldo - betrag;    
		IO.writeln( "Abheben Konto" ); 
	}
}

class Giro extends Konto {
	private double dispo;      
	public Giro( String n ) {
		super(n);    
		saldo = 0.0;    
		dispo = -1000.0;
	}

	public void abheben( double betrag ) {
		saldo = saldo - betrag;   
		IO.writeln( "Abheben Giro" ); 
	}
}

class Sparkonto extends Konto {
	private double zinsSatz;    
	public Sparkonto( String n ) { 
		super(n);    
		zinsSatz = 0.03; 
	}
	public void abheben( double betrag ) {
		saldo = saldo - betrag;   
		IO.writeln( "Abheben Sparkonto" ); 
	}
	public void setZinssatz( double zs ) { zinsSatz = zs; }
}
	
class Festzinskonto extends Sparkonto {
	private int laufzeit;  
	public Festzinskonto( String n ) {
		super(n);      
		saldo = 0.0;     
		laufzeit = 3;
		setZinssatz( 0.05 );
	}	
	public void abheben( double betrag ) {
		saldo = saldo - betrag;   
		IO.writeln( "Abheben Festkonto" ); 
	}
	public void setLaufzeit( int lz ) { laufzeit = lz; }
}
 
public class SpaeteBindung {
	public static void main( String[] args ) {
	
		Konto k;          // Statischer Typ: Konto
		
		char c = IO.promptAndReadChar( "s/f ?" );
		
		if( c=='s' )      // Dynamischer Typ: Sparkonto
	   		k = new Sparkonto( "Schmidt" );
		else              // Dynamischer Typ: Festzinskonto
	   		k = new Festzinskonto( "Schmidt" );
			
		k.abheben( 100.0 );
	}
} 
 
public class SpaeteBindung {
	public static void main( String[] args ) {
	
		Konto k;          // Statischer Typ: Konto
		
		char c = IO.promptAndReadChar( "s/f ?" );
		
		if( c=='s' )      // Dynamischer Typ: Sparkonto
	   		k = new Sparkonto( "Schmidt" );
		else              // Dynamischer Typ: Festzinskonto
	   		k = new Festzinskonto( "Schmidt" );
			
		k.abheben( 100.0 );
	}
} 



   
 









   


 
 





